Get category
Returns category details including subcategories and up to 50 active products.
GET
https://api.pandabase.io/v2/storefront/stores/{storeId}/categories/{categoryId} Path parameters
storeId string required Store ID (shp_ prefix)
categoryId string required Category ID (ctg_ prefix)
Response 200
Category details
ok boolean required No description.
No description.
Response 404
Error response
ok boolean required No description.
error string required Error message
Request
curl -X GET https://api.pandabase.io/v2/storefront/stores/:storeId/categories/:categoryIdResponse
{ "ok": true, "data": { "id": "string", "name": "string", "slug": "string", "description": "string", "icon": "string", "parentId": "string", "displayOrder": 0, "featured": true, "metaTitle": "string", "metaDescription": "string", "showInNavigation": true, "children": [ { "id": "string", "name": "string", "slug": "string" } ], "products": [ { "id": "string", "title": "string", "handle": "string", "price": 0, "images": [ "string" ], "inStock": true } ] }}